

<div *ngIf="loading === true
then  thenTem1 else elseTem2 ">
  </div>
  <ng-template #thenTem1>
    <img class="center" width="20%" src="../../assets/Pacman-1s-200px.gif"/>
   
  </ng-template>
  <ng-template #elseTem2>
    <div style="margin: 100px">
      <button mat-flat-button style="color: white; background-color:rgba(31, 138, 31, 0.863); " (click)="openDialog()">+
        Add</button>
      <mat-form-field style="margin-left: 10px">
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    
      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort style="width: 100%;">
    
          
    
    
      
          <!-- Code Column -->
          <ng-container matColumnDef="campany_Id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> campany </th>
            
            <td mat-cell *matCellDef="let element"> {{element.campany_Id}} </td>
          </ng-container>
    
          <ng-container matColumnDef="application_Id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> application </th>
            <td mat-cell *matCellDef="let element"> {{element.application_Id}} </td>
          </ng-container>
    
          <ng-container matColumnDef="module_Id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> module </th>
            <td mat-cell *matCellDef="let element"> {{element.module_Id}} </td>
          </ng-container>
    
          <ng-container matColumnDef="lang_Id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> langue </th>
            <td mat-cell *matCellDef="let element"> {{element.lang_Id}} </td>
          </ng-container>
    
          <ng-container matColumnDef="message_Code">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>message code</th>
            <td mat-cell *matCellDef="let element"> {{element.message_Code}} </td>
          </ng-container>
    
          <ng-container matColumnDef="msg_Content">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> message content </th>
            <td mat-cell *matCellDef="let element"> {{element.msg_Content}} </td>
          </ng-container>
    
          <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>status </th>
            <td mat-cell *matCellDef="let element">
              <div *ngIf='element.status === "A" ;
            then  thenTem1 else elseTem2 '>
              </div>
              <ng-template #thenTem1>
    
                <button mat-icon-button style="color: rgba(31, 138, 31, 0.863)">
                  <mat-icon class="mat-18">check_circle_outline</mat-icon>
                </button>
              </ng-template>
              <ng-template #elseTem2>
                <button mat-icon-button style="color: red">
                  <mat-icon class="mat-18">archive</mat-icon>
                </button>
    
              </ng-template>
            </td>
    
    
          </ng-container>
    
    
          <!-- Actions Column -->
          <ng-container matColumnDef="status2">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Actions </th>
            <td mat-cell *matCellDef="let element">
              <button mat-icon-button [matMenuTriggerFor]="status">
                <mat-icon class="mat-18">more_horiz</mat-icon>
              </button>
    
              <mat-menu #status="matMenu">
    
                <div>
                  <div *ngIf='element.status === "A" ; 
                      then thenTemplateName else elseTemplateName '>
    
                  </div>
    
    
    
                  <ng-template #thenTemplateName>
                    <button mat-menu-item (click)="openupdateDialog(element.campany_Id,element.application_Id,element.module_Id,
                            element.lang_Id ,element.message_Code , element.msg_Content, element.status)">
                      edit
                    </button>
    
                    <button mat-menu-item (click)="openConfirDeleteDialog(element.id , element.status)">
                      desactiver
                    </button>
                  </ng-template>
    
                  <ng-template #elseTemplateName>
                    <button mat-menu-item (click)="openupdateDialog(element.campany_Id,element.application_Id,element.module_Id,
                              element.lang_Id ,element.message_Code , element.msg_Content, element.status)">
                      edit
                    </button>
    
                    <button mat-menu-item (click)="openConfirDeleteDialog(element.id , element.status)">
                      activer
                    </button>
                  </ng-template>
    
                </div>
    
              </mat-menu>
            </td>
          </ng-container>
    
          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;">
          </tr>
        </table>
          <div *ngIf='empty == true ; 
          then thenTemplateName  '>
    
      </div>
    
      <ng-template  #thenTemplateName>
      <br><div style="text-align: center;color: red;">empty</div> 
      </ng-template>
      
        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
      </div>
    </div>
    

  </ng-template>


